SDL_GetGamepadStringForAxis(3)

NAME
SDL_GetGamepadStringForAxis - Convert from an SDL_GamepadAxis
 enum to a string.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetGamepadStringForAxis(SDL_GamepadAxis axis);

FUNCTION PARAMETERS

axis
    an enum value for a given SDL_GamepadAxis .

RETURN VALUE
Returns a string for the given axis, or NULL if an invalid axis is specified. The string returned is of the format used by

SDL_Gamepad
 mapping strings.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadAxisFromString(3)